<?php

$router = app('router');

$router->namespace('\Moell\LayuiAdmin\Http\Controllers')
    ->prefix('admin')
    ->middleware(['web'])
    ->group(function ($router) {
        $router->get("login", "LoginController@loginShowForm")->name("admin.login-show-form");
        $router->post("login", "LoginController@login")->name("admin.login")->middleware('throttle:20,1');

        $router->middleware(['auth:admin'])->group(function($router) {
            $router->get("/", "IndexController@index")->name("admin.index");
            $router->get("logout", "LoginController@logout")->name("admin.logout");
            $router->get("change-password", "ChangePasswordController@changePasswordForm")->name("admin.change-password-form");
            $router->patch("change-password", "ChangePasswordController@changePassword")->name("admin.change-password");

            $router->middleware(['admin.permission'])->group(function($router) {
                $router->resource('role', 'RoleController');
                $router->resource('permission', 'PermissionController');
                $router->resource('admin-user', 'AdminUserController');
                $router->resource('permission-group', 'PermissionGroupController');
                $router->resource('navigation', 'NavigationController');
                $router->resource('index-navigation', 'IndexNavController');
                $router->resource('index-set-about', 'IndexSetAboutController');
                $router->resource('index-set-about-manager', 'addManagerController');
                $router->resource('index-banner', 'SetIndexBanner');
                $router->resource('index-setting', 'IndexSettingController');
                $router->resource('upload-video', 'UploadVideoController');
                $router->resource('set-video-url', 'SetVideoUrlController');
                $router->resource('article', 'IndexArticleController');
                $router->resource('events', 'SetEventsController');
                $router->resource('upload-pdf','UploadPdfController');
                $router->get('admin-user/{id}/assign-roles', 'AdminUserController@assignRolesForm')->name('admin-user.assign-roles-form');
                $router->put('admin-user/{id}/assign-roles', 'AdminUserController@assignRoles')->name('admin-user.assign-roles');
                $router->get('role/{id}/assign-permissions', 'RoleController@assignPermissionsForm')->name('role.assign-permissions-form');
                $router->put('role/{id}/assign-permissions', 'RoleController@assignPermissions')->name('role.assign-permissions');
                $router->post('upload','IndexSetAboutController@uploadImg');
                $router->post('uploadPics','SetVideoUrlController@uploadImg');
                $router->post('uploadArticleImg','IndexArticleController@uploadImg');
                $router->post('audio','UploadVideoController@audio');
                $router->post('uploadManagerImg','addManagerController@uploadManagerImg');
                $router->post('uploadEventsImg','SetEventsController@uploadEventsImg');
                $router->post('uploadBanner','SetIndexBanner@uploadBanner');

            });
        });
    });