@section("title", "导航菜单")

@extends("admin::layouts.admin")

@section("breadcrumb")
    <div class="admin-breadcrumb">
         <span class="layui-breadcrumb">
            <a href="{{ route("permission-group.index") }}">导航菜单</a>
        </span>
    </div>
@endsection
@section("content")
    <div class="layui-card-body">
        <form class="layui-form" method="post" action="{{ route("index-banner.store") }}" id="layer-form">
            @csrf
            <div class="layui-upload">
                <button type="button" class="layui-btn" id="test2">图片上传</button>

                <blockquote class="layui-elem-quote layui-quote-nm" style="margin-top: 10px;">
                    预览图：
                    <div class="layui-upload-list" id="demo2"></div>
                </blockquote>
            </div>

            <div class="layui-form-item">
                <label class="layui-form-label">锚点</label>
                <div class="layui-input-block">
                    <input type="text" name="anchor"  value=""  autocomplete="off" class="layui-input">
                </div>
            </div>
            <div class="layui-form-item">
                <label class="layui-form-label">类型</label>
                <div class="layui-input-block">
                    <input type="text" name="type"  value="" autocomplete="off" class="layui-input" placeholder="5=空间景观6=活动运营7=艺术街区">
                </div>
            </div>
            <div class="layui-form-item">
                <label class="layui-form-label">标题</label>
                <div class="layui-input-block">
                    <input type="text" name="title"  value="" autocomplete="off" class="layui-input">
                </div>
            </div>
            <div class="layui-form-item">
                <div class="layui-input-block">
                    <button type="submit" class="layui-btn">确认</button>
                </div>
            </div>
        </form>
    </div>
    <div class="layui-card-body ">
        <table class="layui-table layui-form"  id="tree-table" lay-size="sm"></table>
    </div>

@endsection

@section("script")
    <script>
        layui.use('upload',function () {
            var upload = layui.upload,$=layui.jquery; //得到 upload 对象
            //多图片上传
            upload.render({
                elem: '#test2'
                ,url: "./upload" //改成您自己的上传接口
                ,multiple: false
                ,before: function(obj){
                    console.log(obj)
                    //预读本地文件示例，不支持ie8
                    obj.preview(function(index, file, result){
                        $('#demo2').append('<img src="'+ result +'" alt="'+ file.name +'" class="layui-upload-img" height="100px" style="margin-left: 15px">')
                    });
                }
                ,done: function(res){
                    //上传完毕
                    $('#demo2').append('<input type="hidden" value="'+res.data.src+'" name="path"> ')
                }
            });

        })
        layui.use('upload',function () {
            var upload = layui.upload,$=layui.jquery; //得到 upload 对象
            //多图片上传
            upload.render({
                elem: '#test3'
                ,url: "./upload" //改成您自己的上传接口
                ,multiple: false
                ,before: function(obj){
                    console.log(obj)
                    //预读本地文件示例，不支持ie8
                    obj.preview(function(index, file, result){
                        $('#demo3').append('<img src="'+ result +'" alt="'+ file.name +'" class="layui-upload-img" height="100px" style="margin-left: 15px">')
                    });
                }
                ,done: function(res){
                    //上传完毕
                    $('#demo3').append('<input type="hidden" value="'+res.data.src+'" name="wechat_qrcode"> ')
                }
            });

        })

        layui.use('upload',function () {
            var upload = layui.upload,$=layui.jquery; //得到 upload 对象
            //多图片上传
            upload.render({
                elem: '#test4'
                ,url: "./upload" //改成您自己的上传接口
                ,multiple: false
                ,before: function(obj){
                    console.log(obj)
                    //预读本地文件示例，不支持ie8
                    obj.preview(function(index, file, result){
                        $('#demo4').append('<img src="'+ result +'" alt="'+ file.name +'" class="layui-upload-img" height="100px" style="margin-left: 15px">')
                    });
                }
                ,done: function(res){
                    //上传完毕
                    $('#demo4').append('<input type="hidden" value="'+res.data.src+'" name="sina_qrcode"> ')
                }
            });

        })




    </script>

@endsection