@section("title", "导航菜单")

@extends("admin::layouts.admin")

@section("breadcrumb")
    <div class="admin-breadcrumb">
         <span class="layui-breadcrumb">
            <a href="{{ route("permission-group.index") }}">导航菜单</a>
        </span>
    </div>
@endsection
@section("content")
    <div class="layui-card-body">
        <form class="layui-form" method="post" action="{{ route("upload-pdf.store") }}" id="layer-form">
            @csrf
            <div class="layui-upload">
                <button type="button" class="layui-btn" id="test3">文件上传</button>
                <blockquote class="layui-elem-quote layui-quote-nm" style="margin-top: 10px;">
                    预览图：
                    <div class="layui-upload-list" id="demo3"></div>
                </blockquote>

            </div>
            <div class="layui-upload">
                <button type="button" class="layui-btn" id="test2">封面图</button>

                <blockquote class="layui-elem-quote layui-quote-nm" style="margin-top: 10px;">
                    预览图：
                    <div class="layui-upload-list" id="demo2"></div>
                </blockquote>
            </div>
            <div class="layui-form-item">
                <label class="layui-form-label">类型</label>
                <div class="layui-input-block">
                    <input type="text" name="type" required value=""  lay-verify="required" placeholder="1=画册2=企业年报" autocomplete="off" class="layui-input">
                </div>
            </div>
            <div class="layui-form-item">
                <div class="layui-input-block">
                    <button type="submit" class="layui-btn">确认</button>
                </div>
            </div>
        </form>
    </div>
    <div class="layui-card-body ">
        <table class="layui-table layui-form"  id="tree-table" lay-size="sm"></table>
    </div>

@endsection

@section("script")
    <script>
            layui.use('upload',function () {
                var upload = layui.upload,$=layui.jquery; //得到 upload 对象
                //PDF上传
                upload.render({
                    elem: '#test3'
                    ,exts: 'jpg|png|gif|bmp|jpeg|pdf|docx|doc'
                    ,url: "./uploadArticleImg" //改成您自己的上传接口
                    ,multiple: true
                    ,before: function(obj){
                        console.log(obj)
                        //预读本地文件示例，不支持ie8
                        obj.preview(function(index, file, result){
                            $('#demo3').append('<img src="'+ result +'" alt="'+ file.name +'" class="layui-upload-img" height="100px" style="margin-left: 15px">')
                        });
                    }
                    ,done: function(res){
                        //上传完毕
                        $('#demo3').append('<input type="hidden" value="'+res.data.src+'" name="file_path"> ')
                    }
                });

            })
            layui.use('upload',function () {
                var upload = layui.upload,$=layui.jquery; //得到 upload 对象
                //PDF上传
                upload.render({
                    elem: '#test2'
                    ,url: "./uploadArticleImg" //改成您自己的上传接口
                    ,multiple: true
                    ,before: function(obj){
                        console.log(obj)
                        //预读本地文件示例，不支持ie8
                        obj.preview(function(index, file, result){
                            $('#demo2').append('<img src="'+ result +'" alt="'+ file.name +'" class="layui-upload-img" height="100px" style="margin-left: 15px">')
                        });
                    }
                    ,done: function(res){
                        //上传完毕
                        $('#demo2').append('<input type="hidden" value="'+res.data.src+'" name="img_path"> ')
                    }
                });

            })





    </script>
    <script>
        layui.use('layedit', function(){
            var layedit = layui.layedit;
            layedit.build('demo'); //建立编辑器
        });
    </script>
@endsection